#
# spec file for package python-positional
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-positional
Version:        1.0.1
Release:        2.5
Summary:        Library to enforce positional or key-word arguments
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/morganfainberg/positional
Source:         https://pypi.python.org/packages/source/p/positional/positional-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
`positional` provides a decorator which enforces only some args may be passed
positionally. The idea and some of the code was taken from the oauth2 client
of the google-api client.

%prep
%setup -q -n positional-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%doc README.rst
%{python_sitelib}/positional
%{python_sitelib}/positional*egg-info

%changelog
* Fri Feb 26 2016 dmueller@suse.com
- Initial packaging
